Possible to install Magisk 18.1 on Mi 8 SE?


downhouse

Members
Feb 7, 2019
6
3
Running TWRP to root the Mi8SE by the built-in menu option installs magisk 16.6, but the current version is 18.1.
I tried flashing the 18.1 zip, but the phone gets stuck in a boot loop after that.

Is there a special procedure to install 18.1, or is it simply not possible? I can't install the latest magisk manager (7.0.0) with magisk 16.6, so which version would be compatible with 16.6 if its not possible to upgrade?
 

NotMarek

Members
Feb 6, 2019
4
5
I think you need to disable DM Verity and decrypt the phone

Sent from my MI 8 using Tapatalk
 

NotMarek

Members
Feb 6, 2019
4
5
Can you explain why?.....or stop "thinking"!
I was going through XDA and found this thread https://forum.xda-developers.com/mi-8/help/install-magisk-bootloop-t3824481[STRIKE] in the second post someone recommend using this (https://www.theandroidsoul.com/xiaomi-mi-8-root/) guide.[/STRIKE] ACTUALLY just read through it yourself I might be a bit confused.
Edit: Just to clarify I'm still waiting for my bootloader unlock to try it but I think you can replace the magusk 16.1 with the newest one (at this time 18.1)
Sent from my MI 8 using Tapatalk
 
Last edited:

LOLO9393

Members
Feb 8, 2016
383
52
I was going through XDA and found this thread https://forum.xda-developers.com/mi-8/help/install-magisk-bootloop-t3824481[STRIKE] in the second post someone recommend using this (https://www.theandroidsoul.com/xiaomi-mi-8-root/) guide.[/STRIKE] ACTUALLY just read through it yourself I might be a bit confused.
Edit: Just to clarify I'm still waiting for my bootloader unlock to try it but I think you can replace the magusk 16.1 with the newest one (at this time 18.1)
Sent from my MI 8 using Tapatalk
Thanks for your explanation and link to, but question was raised about MI8 SE. Not MI8 that can react not the same way.
 

Orjon

Members
Mar 18, 2017
68
30
I think it's not possible. Only one Magisk, which working on latest ROM (on my phone), is 16.6 installed in TWRP (Advanced > Install Root).
 

downhouse

Members
Feb 7, 2019
6
3
I think it's not possible. Only one Magisk, which working on latest ROM (on my phone), is 16.6 installed in TWRP (Advanced > Install Root).
If thats the case, which version of the Magisk Manager corresponds to Magisk 16.6?
Edit: It's 5.8.0.
 
Last edited: